> For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch a User Scheduling Link

GET https://api.close.com/api/v1/scheduling_link/{id}/

Reference: https://developer.close.com/api/resources/scheduling-links/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "description": "Description of Example Scheduling Link",
  "duration_in_minutes": null,
  "id": "schlnk_2xfNHpU6cjThMuhioZ3GjX",
  "name": "Example Scheduling Link",
  "oauth_client_id": null,
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "source": "MANUAL",
  "source_id": null,
  "source_type": null,
  "template_tag": null,
  "type": "USER",
  "url": "https://example.com/schedule",
  "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python scheduling_links_get_example
import requests

url = "https://api.close.com/api/v1/scheduling_link/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript scheduling_links_get_example
const url = 'https://api.close.com/api/v1/scheduling_link/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go scheduling_links_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/scheduling_link/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby scheduling_links_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/scheduling_link/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java scheduling_links_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/scheduling_link/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php scheduling_links_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/scheduling_link/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp scheduling_links_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/scheduling_link/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```